//
//  plot_osc_prob_1d.C
////////////////////////////////////////////////////
//
//#include <TMath.h>
{
//    auto c1 = new TCanvas();
    /* Scan the th13-delta plane */
    double this_th23;//, this_ldm;
    double th23_lower  = asin(sqrt(0.3));;
    double th23_upper  = asin(sqrt(0.7));;
    int th23_steps  = 2000; //15

    
    double energy = 0.6;
    double baseline = 295;//km
    
   
    //TH2 to fill the plots
    //this is a little tricky. Think about it.
    
    //This is no of lines in the dat file
    Int_t TotalLine = (th23_steps+1);
     double *atheta23 = new double[TotalLine];

    double *avac_mu2e = new double[TotalLine];
    double *avac_mu2mu = new double[TotalLine];
    double *avac_mu2tau = new double[TotalLine];
    
    double *amat_mu2e = new double[TotalLine];
    double *amat_mu2mu = new double[TotalLine];
    double *amat_mu2tau = new double[TotalLine];
    
    double *abvac_mu2e = new double[TotalLine];
    double *abvac_mu2mu = new double[TotalLine];
    double *abvac_mu2tau = new double[TotalLine];
    
    double *abmat_mu2e = new double[TotalLine];
    double *abmat_mu2mu = new double[TotalLine];
    double *abmat_mu2tau = new double[TotalLine];
    
    // fprintf(outfile, "%g %g %g\n", this_th13*180.0/M_PI, this_delta*180.0/M_PI, res);
    ifstream cfile("osc_prob_hyperk_L_295_MH_normal_dcp_mpi02.dat");

    //nu-oscillation
    double vac_mu2e, vac_mu2mu, vac_mu2tau;
    double mat_mu2e, mat_mu2mu, mat_mu2tau;
    
    //antinu-oscillation
    double bvac_mu2e, bvac_mu2mu, bvac_mu2tau;
    double bmat_mu2e, bmat_mu2mu, bmat_mu2tau;

    // CP violation ACP/sqrt
    double *ACP = new double[TotalLine];
    double *CPV = new double[TotalLine]; 
    double *octantsensi = new double[TotalLine];
    for(int iline=0; iline<TotalLine; iline++){
        cfile >> this_th23 >> vac_mu2e >> vac_mu2mu >> vac_mu2tau >> mat_mu2e >> mat_mu2mu >> mat_mu2tau >> bvac_mu2e >> bvac_mu2mu >> bvac_mu2tau >> bmat_mu2e >> bmat_mu2mu >> bmat_mu2tau;

        
        atheta23[iline] = sin(this_th23)*sin(this_th23);

        avac_mu2e[iline] = vac_mu2e;
        avac_mu2mu[iline] = vac_mu2mu;
        avac_mu2tau[iline] = vac_mu2tau;
        
        amat_mu2e[iline] = mat_mu2e;
        amat_mu2mu[iline] = mat_mu2mu;
        amat_mu2tau[iline] = mat_mu2tau;
        
        abvac_mu2e[iline] = bvac_mu2e;
        abvac_mu2mu[iline] = bvac_mu2mu;
        abvac_mu2tau[iline] = bvac_mu2tau;
        
        abmat_mu2e[iline] = bmat_mu2e;
        abmat_mu2mu[iline] = bmat_mu2mu;
        abmat_mu2tau[iline] = bmat_mu2tau;

        ACP[iline] = (amat_mu2e[iline] - abmat_mu2e[iline])/(amat_mu2e[iline] + abmat_mu2e[iline]);
        octantsensi[iline] = ((2*amat_mu2mu[iline] + amat_mu2e[iline] - 2)/(2 + 2*sqrt(amat_mu2mu[iline])))+1;

        cout<<" sin^{2}theta23 "<< atheta23[iline]<< " octantsensi " << octantsensi[iline]<<endl;
       // if (iline%10==0) cout<<"theta23 "<<atheta23[iline]<<" mu2e prob"<<avac_mu2e[iline]<<endl;
    }

    
   //TGraph
    TGraph *octant_sensi = new TGraph(TotalLine,atheta23,octantsensi);
    octant_sensi ->SetLineWidth(2);
    octant_sensi ->SetLineColor(2);

 TCanvas *c1 = new TCanvas("c", "", 10,10, 800,600);
    
    octant_sensi ->Draw("AL");
   // octant_sensi ->GetYaxis()->SetRangeUser(0,0.5);
    octant_sensi ->GetXaxis()->SetRangeUser(0.4,0.6);
    octant_sensi ->GetYaxis()->SetTitle("|U_{#mu 3}|^{2} - |U_{#tau 3}|^{2}");
    //octant_sensi ->GetYaxis()->SetTitle("P(#nu_{#mu} #rightarrow #nu_{#tau}) - P(#nu_{#mu} #rightarrow #nu_{e})/P(#nu_{#mu} #rightarrow #nu_{#tau}) + P(#nu_{#mu} #rightarrow #nu_{e}) ");
    octant_sensi ->GetXaxis()->SetTitle("sin^{2}#theta_{23}");
  //  octant_sensi->SetTitle("Octant sensitivity in HyperK");

    //gPad->Print("octant_sensi.pdf");    
   // c1->Update();
    TLegend* leg0 = new TLegend(.32, .5, 0.75, .82);
    leg0->SetFillStyle(0);
    leg0->SetBorderSize(0);
    leg0->SetTextSize(18);
    leg0->SetTextFont(43);
    leg0->AddEntry("", "MH is normal", "");
    leg0->AddEntry("", "sin^{2}#theta_{12} = 0.310", "");
    leg0->AddEntry("", "sin^{2}#theta_{13} = 0.02241", "");
    leg0->AddEntry("", "sin^{2}#theta_{23} = 0.5", "");
    leg0->AddEntry("", "#delta_{CP} = 0", "");
    leg0->AddEntry("", "L = 295km", "");
    leg0->AddEntry("", "E = 0.6GeV", "");
    leg0 -> AddEntry("" , "|#Delta m^{2}_{32}| = 2.523 #times 10^{-3} " ,"");
    leg0 -> AddEntry("" , "#Delta m^{2}_{21} = 7.39 #times 10^{-5} " ,"");
    leg0->SetFillStyle(0);
    //leg0->Draw(); 
}
